Loading...
Searching...
No Matches
uhd::rfnoc::chdr::mgmt_op_t::node_info_payload Struct Reference

An interpretation class for the payload for MGMT_OP_INFO_RESP. More...

`#include <uhd/rfnoc/chdr_types.hpp>`

## Public Member Functions

| node_info_payload (uint16_t device_id_, uint8_t node_type_, uint16_t node_inst_, uint32_t ext_info_)
| node_info_payload (payload_t payload_)
| operator payload_t () const

## Public Attributes

const uint16_t | device_id
const uint8_t | node_type
const uint16_t | node_inst
const uint32_t | ext_info

## Detailed Description

An interpretation class for the payload for MGMT_OP_INFO_RESP.

## Constructor & Destructor Documentation

## node_info_payload() [1/2]

uhd::rfnoc::chdr::mgmt_op_t::node_info_payload::node_info_payload | ( | uint16_t | device_id_,
|  | uint8_t | node_type_,
|  | uint16_t | node_inst_,
|  | uint32_t | ext_info_ )

inline

## node_info_payload() [2/2]

uhd::rfnoc::chdr::mgmt_op_t::node_info_payload::node_info_payload | ( | payload_t | payload_ | ) |

inline

## Member Function Documentation

## operator payload_t()

uhd::rfnoc::chdr::mgmt_op_t::node_info_payload::operator payload_t | ( |  | ) | const

inline

## Member Data Documentation

## device_id

const uint16_t uhd::rfnoc::chdr::mgmt_op_t::node_info_payload::device_id

## ext_info

const uint32_t uhd::rfnoc::chdr::mgmt_op_t::node_info_payload::ext_info

## node_inst

const uint16_t uhd::rfnoc::chdr::mgmt_op_t::node_info_payload::node_inst

## node_type

const uint8_t uhd::rfnoc::chdr::mgmt_op_t::node_info_payload::node_type

The documentation for this struct was generated from the following file:

- chdr_types.hpp